	PROGRAM main
	 IMPLICIT NONE

	 REAL, DIMENSION(4,4) :: B
	 INTEGER i, j

	 OPEN ( 10, FILE="inputMatrix" )

	 READ (10, *)  ((B(i, j), i = 1, 4), j = 1, 4)

	 print '("Matrix B"/(4F8.2, 2X))', ((B(i, j), i = 1, 4), j = 1, 4)

	END
